This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Bump up version numbers.
authorJarkko Hietaniemi <jhi@iki.fi>
Sun, 16 Sep 2001 20:36:58 +0000 (20:36 +0000)
committerJarkko Hietaniemi <jhi@iki.fi>
Sun, 16 Sep 2001 20:36:58 +0000 (20:36 +0000)
TODO 1: double check that pre-5.6.1 CPAN.pm:s
don't try to download 5.8.0 because of the
version numbers.  Mainly this means using _00
in the core version numbers.

TODO 2: the "use 5.005_64" in many modules
needs to be changed to, say, "use 5.6.1".

p4raw-id: //depot/perl@12040

28 files changed:
ext/B/B/Assembler.pm
ext/Data/Dumper/Dumper.pm
lib/AutoLoader.pm
lib/AutoSplit.pm
lib/CPAN.pm
lib/ExtUtils/Embed.pm
lib/ExtUtils/Install.pm
lib/ExtUtils/Installed.pm
lib/ExtUtils/Manifest.pm
lib/File/Basename.pm
lib/File/Copy.pm
lib/File/Find.pm
lib/File/Path.pm
lib/File/Spec.pm
lib/File/Spec/Functions.pm
lib/File/Spec/Unix.pm
lib/File/Spec/VMS.pm
lib/File/Spec/Win32.pm
lib/FindBin.pm
lib/Pod/Checker.pm
lib/Pod/Find.pm
lib/SelfLoader.pm
lib/Shell.pm
lib/Tie/Handle.pm
lib/blib.pm
lib/diagnostics.pm
vms/ext/DCLsym/DCLsym.pm
vms/ext/Stdio/Stdio.pm

index e573cef..86f0962 100644 (file)
@@ -14,7 +14,7 @@ require ByteLoader;           # we just need its $VERSIOM
 
 @ISA = qw(Exporter);
 @EXPORT_OK = qw(assemble_fh newasm endasm assemble);
-$VERSION = 0.02;
+$VERSION = 0.03;
 
 use strict;
 my %opnumber;
index 4f15bbb..77e9426 100644 (file)
@@ -9,7 +9,7 @@
 
 package Data::Dumper;
 
-$VERSION = '2.102';
+$VERSION = '2.103';
 
 #$| = 1;
 
index 4b2261e..4e1eb1b 100644 (file)
@@ -16,7 +16,7 @@ BEGIN {
     $is_epoc = $^O eq 'epoc';
     $is_vms = $^O eq 'VMS';
     $is_macos = $^O eq 'MacOS';
-    $VERSION = '5.58';
+    $VERSION = '5.59';
 }
 
 AUTOLOAD {
index 25e29c3..ff2e8b5 100644 (file)
@@ -11,7 +11,7 @@ use strict;
 our($VERSION, @ISA, @EXPORT, @EXPORT_OK, $Verbose, $Keep, $Maxlen,
     $CheckForAutoloader, $CheckModTime);
 
-$VERSION = "1.0306";
+$VERSION = "1.0307";
 @ISA = qw(Exporter);
 @EXPORT = qw(&autosplit &autosplit_lib_modules);
 @EXPORT_OK = qw($Verbose $Keep $Maxlen $CheckForAutoloader $CheckModTime);
index 5ee7dc8..faf965a 100644 (file)
@@ -1,6 +1,6 @@
 # -*- Mode: cperl; coding: utf-8; cperl-indent-level: 4 -*-
 package CPAN;
-$VERSION = '1.59_54';
+$VERSION = '1.59_55';
 # $Id: CPAN.pm,v 1.385 2001/02/09 21:37:57 k Exp $
 
 # only used during development:
index fc1e985..6bf9c03 100644 (file)
@@ -18,7 +18,7 @@ use vars qw(@ISA @EXPORT $VERSION
            );
 use strict;
 
-$VERSION = sprintf("%d.%02d", q$Revision: 1.2505_00 $ =~ /(\d+)\.(\d+)/);
+$VERSION = sprintf("%d.%02d", q$Revision: 1.2506_00 $ =~ /(\d+)\.(\d+)/);
 
 @ISA = qw(Exporter);
 @EXPORT = qw(&xsinit &ldopts 
index 8613133..15e6e9c 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::Install;
 
 use 5.005_64;
 our(@ISA, @EXPORT, $VERSION);
-$VERSION = substr q$Revision: 1.28 $, 10;
+$VERSION = substr q$Revision: 1.29 $, 10;
 # $Date: 1998/01/25 07:08:24 $
 
 use Exporter;
index 12cb5e0..4c379e1 100644 (file)
@@ -8,7 +8,7 @@ use ExtUtils::MakeMaker;
 use Config;
 use File::Find;
 use File::Basename;
-our $VERSION = '0.03';
+our $VERSION = '0.04';
 
 my $DOSISH = ($^O =~ /^(MSWin\d\d|os2|dos|mint)$/);
 
index e626fa1..4656ead 100644 (file)
@@ -12,7 +12,7 @@ our ($VERSION,@ISA,@EXPORT_OK,
            $Is_MacOS,$Is_VMS,
            $Debug,$Verbose,$Quiet,$MANIFEST,$found,$DEFAULT_MSKIP);
 
-$VERSION = substr(q$Revision: 1.34 $, 10);
+$VERSION = substr(q$Revision: 1.35 $, 10);
 @ISA=('Exporter');
 @EXPORT_OK = ('mkmanifest', 'manicheck', 'fullcheck', 'filecheck', 
              'skipcheck', 'maniread', 'manicopy');
index 72a7e39..e16f871 100644 (file)
@@ -141,7 +141,7 @@ our(@ISA, @EXPORT, $VERSION, $Fileparse_fstype, $Fileparse_igncase);
 require Exporter;
 @ISA = qw(Exporter);
 @EXPORT = qw(fileparse fileparse_set_fstype basename dirname);
-$VERSION = "2.7";
+$VERSION = "2.71";
 
 
 #   fileparse_set_fstype() - specify OS-based rules used in future
index 861f65f..7daa3ed 100644 (file)
@@ -24,7 +24,7 @@ sub mv;
 # package has not yet been updated to work with Perl 5.004, and so it
 # would be a Bad Thing for the CPAN module to grab it and replace this
 # module.  Therefore, we set this module's version higher than 2.0.
-$VERSION = '2.04';
+$VERSION = '2.05';
 
 require Exporter;
 @ISA = qw(Exporter);
index bfcbcfd..1ebfba3 100644 (file)
@@ -2,7 +2,7 @@ package File::Find;
 use strict;
 use warnings;
 use 5.6.0;
-our $VERSION = '1.01';
+our $VERSION = '1.02';
 require Exporter;
 require Cwd;
 
index 82509c2..7d56d48 100644 (file)
@@ -98,7 +98,7 @@ use Exporter ();
 use strict;
 use warnings;
 
-our $VERSION = "1.0404";
+our $VERSION = "1.0405";
 our @ISA = qw( Exporter );
 our @EXPORT = qw( mkpath rmtree );
 
index 19475c0..023005f 100644 (file)
@@ -3,7 +3,7 @@ package File::Spec;
 use strict;
 our(@ISA, $VERSION);
 
-$VERSION = 0.82 ;
+$VERSION = 0.83 ;
 
 my %module = (MacOS   => 'Mac',
              MSWin32 => 'Win32',
index be65333..dad7aa3 100644 (file)
@@ -5,7 +5,7 @@ use strict;
 
 our (@ISA,@EXPORT,@EXPORT_OK,%EXPORT_TAGS,$VERSION);
 
-$VERSION = '1.1';
+$VERSION = '1.2';
 
 require Exporter;
 
index 1330548..6d26660 100644 (file)
@@ -3,7 +3,7 @@ package File::Spec::Unix;
 use strict;
 our($VERSION);
 
-$VERSION = '1.2';
+$VERSION = '1.3';
 
 use Cwd;
 
index 295c4ef..1799622 100644 (file)
@@ -4,7 +4,7 @@ use strict;
 use vars qw(@ISA $VERSION);
 require File::Spec::Unix;
 
-$VERSION = '1.1';
+$VERSION = '1.2';
 
 @ISA = qw(File::Spec::Unix);
 
index 860ae0c..7ee10a1 100644 (file)
@@ -5,7 +5,7 @@ use Cwd;
 use vars qw(@ISA $VERSION);
 require File::Spec::Unix;
 
-$VERSION = '1.2';
+$VERSION = '1.3';
 
 @ISA = qw(File::Spec::Unix);
 
index c1b782c..41cd0fa 100644 (file)
@@ -82,7 +82,7 @@ use File::Spec;
 %EXPORT_TAGS = (ALL => [qw($Bin $Script $RealBin $RealScript $Dir $RealDir)]);
 @ISA = qw(Exporter);
 
-$VERSION = "1.42";
+$VERSION = "1.43";
 
 BEGIN
 {
index d6fbfff..79bb2f6 100644 (file)
@@ -10,7 +10,7 @@
 package Pod::Checker;
 
 use vars qw($VERSION);
-$VERSION = 1.2;  ## Current version of this package
+$VERSION = 1.3;  ## Current version of this package
 require  5.005;    ## requires this Perl version or later
 
 use Pod::ParseUtils; ## for hyperlinks and lists
index 6e5f570..c1aaac4 100644 (file)
@@ -13,7 +13,7 @@
 package Pod::Find;
 
 use vars qw($VERSION);
-$VERSION = 0.21;   ## Current version of this package
+$VERSION = 0.22;   ## Current version of this package
 require  5.005;   ## requires this Perl version or later
 use Carp;
 
index 51124af..59defe0 100644 (file)
@@ -3,7 +3,7 @@ package SelfLoader;
 require Exporter;
 @ISA = qw(Exporter);
 @EXPORT = qw(AUTOLOAD);
-$VERSION = "1.0902";
+$VERSION = "1.0903";
 sub Version {$VERSION}
 $DEBUG = 0;
 
index 44318d2..defb5d7 100644 (file)
@@ -4,7 +4,7 @@ use strict;
 use warnings;
 our($capture_stderr, $VERSION, $AUTOLOAD);
 
-$VERSION = '0.3';
+$VERSION = '0.4';
 
 sub new { bless \$VERSION, shift } # Nothing better to bless
 sub DESTROY { }
index 638cdf7..d8e5526 100644 (file)
@@ -1,7 +1,7 @@
 package Tie::Handle;
 
 use 5.005_64;
-our $VERSION = '4.0';
+our $VERSION = '4.1';
 
 =head1 NAME
 
index aaecd45..9797f2f 100644 (file)
@@ -39,7 +39,7 @@ Nick Ing-Simmons nik@tiuk.ti.com
 use Cwd;
 
 use vars qw($VERSION $Verbose);
-$VERSION = '1.00';
+$VERSION = '1.01';
 $Verbose = 0;
 
 sub import
index b224943..5d8f4e7 100755 (executable)
@@ -171,7 +171,7 @@ use strict;
 use 5.6.0;
 use Carp;
 
-our $VERSION = 1.0;
+our $VERSION = 1.1;
 our $DEBUG;
 our $VERBOSE;
 our $PRETTY;
index 9f88c91..884e357 100644 (file)
@@ -7,7 +7,7 @@ use strict;
 
 # Package globals
 @ISA = ( 'DynaLoader' );
-$VERSION = '1.01';
+$VERSION = '1.02';
 my(%Locsyms) = ( ':ID' => 'LOCAL' );
 my(%Gblsyms) = ( ':ID' => 'GLOBAL');
 my $DoCache = 1;
index e36a3ec..a68e796 100644 (file)
@@ -13,7 +13,7 @@ use Carp '&croak';
 use DynaLoader ();
 use Exporter ();
  
-$VERSION = '2.2';
+$VERSION = '2.3';
 @ISA = qw( Exporter DynaLoader IO::File );
 @EXPORT = qw( &O_APPEND &O_CREAT &O_EXCL  &O_NDELAY &O_NOWAIT
               &O_RDONLY &O_RDWR  &O_TRUNC &O_WRONLY );